<?php
/**
 * The header for our theme.
 *
 * Displays all of the <head> section and everything up till <div id="content">
 *
 * @package cruzy
 */
?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
<link rel="profile" href="http://gmpg.org/xfn/11">
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
<!--[if lt IE 9]>
<script src="<?php echo get_template_directory_uri(); ?>/js/html5shiv.min.js" type="text/javascript"></script>
<![endif]-->

<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
<div id="page" class="hfeed site">

	<?php 
		$hideSearch = get_theme_mod('cruzy_theme_options_hidesearch', '1');
	?>

	<?php if (is_singular() && '' != get_the_post_thumbnail() ) : ?>
	<?php $src = wp_get_attachment_image_src( get_post_thumbnail_id(), 'cruzy-normal-post'); ?>
		<header id="masthead" class="site-header" role="banner" style="background: url(<?php echo $src[0] ?>) 50% 50% / cover no-repeat;">
	<?php else: ?>
		<header id="masthead" class="site-header" role="banner" style="background: url(<?php header_image(); ?>) 50% 50% / cover no-repeat;">
	<?php endif; ?>
	
		<div class="site-branding">
			<div class="branding-box">
				<h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
				<p class="site-description"><?php bloginfo( 'description' ); ?></p>
			</div>
		</div><!-- .site-branding -->
		
		<div class="theNavigationBar">
			<nav id="site-navigation" class="main-navigation" role="navigation">
				<button class="menu-toggle" aria-controls="menu" aria-expanded="false"><?php _e( 'Main Menu', 'cruzy' ); ?><i class="fa fa-bars"></i></button>
				<?php wp_nav_menu( array( 'theme_location' => 'primary' ) ); ?>
			</nav><!-- #site-navigation -->
		</div>
		<div id="toTop" class="top-box"><i class="fa fa-angle-up fa-lg"></i></div>
		<?php if ($hideSearch == 1 ) : ?>
		<div class="search-box"><span class="search-menu"></span></div>
		<!-- Start: Search Form -->
		<div id="#searchHeader" class="searchPanel">
			<div class="search-container">
				<form role="search" method="get" id="search-form" action="<?php echo home_url( '/' ); ?>">
					<label>
						<span class="screen-reader-text"><?php _e( 'Search for:', 'cruzy' ); ?></span>
						<input type="search" name="s" id="search-field" placeholder="<?php _e('Type here and hit enter...', 'cruzy'); ?>">
					</label>
				</form>
			</div>
		</div>
		<!-- End: Search Form -->
		<?php endif; ?>
		
	</header><!-- #masthead -->

	<div id="content" class="site-content">
	