(function($) {
	"use strict";
	
	$(window).resize(function(){
		if ($(window).width() < 1166) {
			$(".widget-area").mCustomScrollbar("stop");
		}
	});
	
	$(window).load(function() {
		
		$(".widget-area").mCustomScrollbar({
			theme: "minimal-dark",
			contentTouchScroll: false,
			scrollInertia: 300,
		});
		
	});
	
	$(document).ready(function() {
		
		/*-----------------------------------------------------------------------------------*/
		/*  Home icon in main menu
		/*-----------------------------------------------------------------------------------*/ 
			$('.main-navigation .menu-item-home > a').prepend('<i class="fa fa-home spaceRight"></i>');
		 
		/*-----------------------------------------------------------------------------------*/
		/*  If Comment Metadata exist or Edit Comments Link exist
		/*-----------------------------------------------------------------------------------*/ 
		if ( $( '.comment-metadata' ).length ) {
			$('.comment-metadata').addClass('smallPart');
		}
		if ( $( '.reply' ).length ) {
			$('.reply').addClass('smallPart');
		}
		
		$('.search-box').click(function() {
			var $ddelay = 0;
			if ( $('.main-sidebar-box').hasClass('sidebar-open') ) {
				$('.widget-area, .main-sidebar-box, .site-content, header.site-header').removeClass('sidebar-open');
				$('body').removeClass( "menu-opened");
				var $ddelay = 300;
			}
			setTimeout(function() {
				if ( /Android|webOS|iPhone|iPad|iPod|BlackBerry|IEMobile|Opera Mini/i.test(navigator.userAgent) ) {
				} else {
					$(".search-container #search-field").focus();
				}
				$('.searchPanel').toggleClass('search-open');
				$('.search-box').toggleClass('search-open');
			}, $ddelay);
		});
		
		$('.main-sidebar-box').click(function() {
			var $ddelay = 0;
			if ( $('.search-box').hasClass('search-open') ) {
				$('.searchPanel').removeClass('search-open');
				$('.search-box').removeClass('search-open');
				var $ddelay = 300;
			}
			setTimeout(function() {
				$('.widget-area').toggleClass('sidebar-open');
				$('.main-sidebar-box').toggleClass('sidebar-open');
				$('.site-content, header.site-header').toggleClass('sidebar-open');
				$('body').toggleClass( "menu-opened");
			}, $ddelay);
		});
		
		/*-----------------------------------------------------------------------------------*/
		/*  Detect Mobile Browser
		/*-----------------------------------------------------------------------------------*/ 
			if ( /Android|webOS|iPhone|iPad|iPod|BlackBerry|IEMobile|Opera Mini/i.test(navigator.userAgent) ) {
			} else {
				
				/*-----------------------------------------------------------------------------------*/
				/*  Scroll To Top
				/*-----------------------------------------------------------------------------------*/ 
					$('.site-content').scroll(function(){
						if ($(this).scrollTop() > 700) {
							$('#toTop').addClass('visible');
						} 
						else {
							$('#toTop').removeClass('visible');
						}
					}); 
					$('#toTop').click(function(){
						$(".site-content").animate({ scrollTop: 0 }, 1000);
						return false;
					});

			}
		
	});
	
})(jQuery);