<?php
/**
 * The template for displaying search results pages.
 *
 * @package cruzy
 */

get_header(); ?>

	<section id="primary" class="content-area">
		<main id="main" class="site-main" role="main">
		<?php if ( have_posts() ) : ?>

			<header class="page-header">
				<h1 class="page-title"><?php printf( __( 'Search Results for: %s', 'cruzy' ), '<span>' . get_search_query() . '</span>' ); ?></h1>
			</header><!-- .page-header -->

			<?php /* Start the Loop */ ?>
			<?php while ( have_posts() ) : the_post(); ?>

				<?php
					get_template_part( 'content', get_post_format() );
				?>

			<?php endwhile; ?>

			<?php if ( version_compare( $GLOBALS['wp_version'], '4.1', '<' ) ) {
				the_posts_navigation();
			} else {
				the_posts_pagination( array(
					'prev_text'          => __( '<i class="fa fa-angle-double-left spaceRight"></i>Previous', 'cruzy' ),
					'next_text'          => __( 'Next<i class="fa fa-angle-double-right spaceLeft"></i>', 'cruzy' ),
					'before_page_number' => '<span class="meta-nav screen-reader-text">' . __( 'Page', 'cruzy' ) . ' </span>',
				) );
			} ?>

		<?php else : ?>

			<?php get_template_part( 'content', 'none' ); ?>

		<?php endif; ?>

		</main><!-- #main -->
	</section><!-- #primary -->

<?php get_sidebar(); ?>
<?php get_footer(); ?>
